=== debian/changelog ===
swarmkit (1.12.0+git20170111.763.296fcfcf-1) unstable; urgency=medium

  * Initial release (Closes: #844678).
  * Dummy changelog entry to refresh signature on changes file.

 -- Tim Potter <tpot@hpe.com>  Mon, 30 Jan 2017 15:43:54 +1100
