=== debian/control ===
Source: swarmkit
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-azure-go-ansiterm-dev,
               golang-github-boltdb-bolt-dev,
               golang-github-cloudflare-cfssl-dev,
               golang-github-docker-engine-api-dev,
               golang-github-docker-go-events-dev,
               golang-github-docker-go-units-dev,
               golang-github-docker-libnetwork-dev (>= 0.8~git20161019.0.66c8446~),
               golang-github-dustin-go-humanize-dev,
               golang-github-golang-mock-dev,
               golang-github-pivotal-golang-clock-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
	       golang-golang-x-time-dev,
               golang-go, mockgen
Standards-Version: 3.9.8
Homepage: https://github.com/docker/swarmkit
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-swarmkit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-swarmkit.git
XS-Go-Import-Path: github.com/docker/swarmkit

Package: golang-github-docker-swarmkit-dev
Architecture: all
Depends: golang-github-azure-go-ansiterm-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-cloudflare-cfssl-dev,
         golang-github-docker-engine-api-dev,
         golang-github-docker-go-events-dev,
         golang-github-docker-go-units-dev,
         golang-github-docker-libnetwork-dev (>= 0.8~git20161019.0.66c8446~),
         golang-github-dustin-go-humanize-dev,
         golang-github-golang-mock-dev,
         golang-github-pivotal-golang-clock-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
	 golang-golang-x-time-dev,
         golang-go,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Toolkit for orchestrating distributed systems at any scale
 SwarmKit is a toolkit for orchestrating distributed systems at any
 scale. It includes primitives for node discovery, raft-based consensus,
 task scheduling and more.
 .
 Its main benefits are:
 .
   * Distributed: SwarmKit uses the Raft Consensus Algorithm in order to
     coordinate and does not rely on a single point of failure to perform
     decisions.
 .
   * Secure: Node communication and membership within a Swarm are secure
     out of the box. SwarmKit uses mutual TLS for node authentication,
     role authorization and transport encryption, automating both
      certificate issuance and rotation.
 .
    * Simple: SwarmKit is operationally simple and minimizes
      infrastructure dependencies. It does not need an external database to
      operate.Overview Machines running SwarmKit can be grouped together in
      order to form a Swarm, coordinating tasks with each other.
 .
 This package contains the Swarmkit development files.

Package: swarmkit
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Toolkit for orchestrating distributed systems at any scale
 SwarmKit is a toolkit for orchestrating distributed systems at any
 scale. It includes primitives for node discovery, raft-based consensus,
 task scheduling and more.
 .
 Its main benefits are:
 .
   * Distributed: SwarmKit uses the Raft Consensus Algorithm in order to
     coordinate and does not rely on a single point of failure to perform
     decisions.
 .
   * Secure: Node communication and membership within a Swarm are secure
     out of the box. SwarmKit uses mutual TLS for node authentication,
     role authorization and transport encryption, automating both
      certificate issuance and rotation.
 .
    * Simple: SwarmKit is operationally simple and minimizes
      infrastructure dependencies. It does not need an external database to
      operate.Overview Machines running SwarmKit can be grouped together in
      order to form a Swarm, coordinating tasks with each other.
 .
 This package contains the Swarmkit command-line programs.
