## swarmkit 1.12.0+git20170201.779.1c7f003d

=== debian/changelog ===
swarmkit (1.12.0+git20170201.779.1c7f003d-3) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Fix Vcs-* tags

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 17:18:24 +0300

swarmkit (1.12.0+git20170201.779.1c7f003d-1) unstable; urgency=medium

  * New upstream snapshot for Docker 1.13.1
  * Delete docker vendor patches and replace with glgh-docker-docker-dev B-D

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:41:13 +1000

swarmkit (1.12.0+git20170111.763.296fcfcf-2) unstable; urgency=medium

  * Run wrap-and-sort.
  * Tighten B-D on golang-gogoprotobuf-dev for stretch build.
    (Closes: #858268)
  * Suppress binary-without-manpage and spelling-error-in-binary
    Lintian messages.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 08:10:50 +1100
