=== debian/control ===
--- 
+++ 
@@ -8,22 +8,25 @@
                golang-github-azure-go-ansiterm-dev,
                golang-github-boltdb-bolt-dev,
                golang-github-cloudflare-cfssl-dev,
+               golang-github-docker-docker-dev,
                golang-github-docker-engine-api-dev,
                golang-github-docker-go-events-dev,
                golang-github-docker-go-units-dev,
-               golang-github-docker-libnetwork-dev (>= 0.8~git20161019.0.66c8446~),
+               golang-github-docker-libnetwork-dev (>= 0.8.0-dev.2+git20170202.599.45b4086~),
                golang-github-dustin-go-humanize-dev,
                golang-github-golang-mock-dev,
                golang-github-pivotal-golang-clock-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
-	       golang-golang-x-time-dev,
-               golang-go, mockgen
+               golang-any,
+               golang-gogoprotobuf-dev (>= 0.3+git20170120.144.265e960d-1~),
+               golang-golang-x-time-dev,
+               mockgen
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/swarmkit
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-swarmkit.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-swarmkit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/swarmkit.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/swarmkit.git
 XS-Go-Import-Path: github.com/docker/swarmkit
 
 Package: golang-github-docker-swarmkit-dev
@@ -31,18 +34,18 @@
 Depends: golang-github-azure-go-ansiterm-dev,
          golang-github-boltdb-bolt-dev,
          golang-github-cloudflare-cfssl-dev,
+#         golang-github-docker-docker-dev,
          golang-github-docker-engine-api-dev,
          golang-github-docker-go-events-dev,
          golang-github-docker-go-units-dev,
-         golang-github-docker-libnetwork-dev (>= 0.8~git20161019.0.66c8446~),
+         golang-github-docker-libnetwork-dev (>= 0.8.0-dev.2+git20170202.599.45b4086~),
          golang-github-dustin-go-humanize-dev,
          golang-github-golang-mock-dev,
          golang-github-pivotal-golang-clock-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
-	 golang-golang-x-time-dev,
-         golang-go,
+         golang-golang-x-time-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Toolkit for orchestrating distributed systems at any scale
@@ -71,8 +74,7 @@
 Package: swarmkit
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Toolkit for orchestrating distributed systems at any scale
  SwarmKit is a toolkit for orchestrating distributed systems at any
  scale. It includes primitives for node discovery, raft-based consensus,
